/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * @hidden
 */
export declare class DataResultIterator {
    private source;
    private index;
    private endless;
    private pageIndex;
    private rtl;
    constructor(source: any[], index: number, endless: boolean, pageIndex: number, rtl: boolean);
    get data(): any[];
    get total(): number;
    canMoveNext(): boolean;
    canMovePrev(): boolean;
}
/**
 * @hidden
 */
export declare class DataCollection {
    private accessor;
    constructor(accessor: () => DataResultIterator);
    get length(): number;
    get total(): number;
    item(index: number): any;
    canMoveNext(): boolean;
    canMovePrev(): boolean;
    [Symbol.iterator](): any;
}
